%define majver %(echo %version | cut -d. -f1)
Name:          kodi-inputstream-adaptive
Version:       19.0.5
Release:       1mamba
Summary:       kodi inputstream addon for several manifest types 
Group:         Graphical Desktop/Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xbmc/inputstream.adaptive
Source:        https://github.com/xbmc/inputstream.adaptive.git/%{version}-Matrix/inputstream.adaptive-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kodi-devel
Requires:      kodi >= %{majver}
Requires:      kodi < %{majver}.999

%description
kodi inputstream addon for several manifest types.

%debug_package

%prep
%setup -q -n inputstream.adaptive-%{version}

%build
%cmake -d build

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{_libdir}/kodi/addons/inputstream.adaptive
%{_libdir}/kodi/addons/inputstream.adaptive/*
%dir %{_datadir}/kodi/addons/inputstream.adaptive
%{_datadir}/kodi/addons/inputstream.adaptive/*

%changelog
* Thu May 19 2022 Automatic Build System <autodist@mambasoft.it> 19.0.5-1mamba
- automatic version update by autodist

* Mon Apr 25 2022 Automatic Build System <autodist@mambasoft.it> 19.0.4-1mamba
- automatic version update by autodist

* Thu Feb 10 2022 Automatic Build System <autodist@mambasoft.it> 19.0.3-1mamba
- automatic version update by autodist

* Thu Jan 13 2022 Automatic Build System <autodist@mambasoft.it> 19.0.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 19.0.1-1mamba
- package created using the webbuild interface
